--- old/usr/src/uts/common/inet/tcp/tcp.c	Fri Oct 18 06:44:35 2019
+++ new/usr/src/uts/common/inet/tcp/tcp.c	Fri Oct 18 06:44:35 2019
@@ -21,7 +21,7 @@
 
 /*
  * Copyright (c) 1991, 2010, Oracle and/or its affiliates. All rights reserved.
- * Copyright (c) 2011, Joyent Inc. All rights reserved.
+ * Copyright 2019 Joyent, Inc.
  * Copyright (c) 2011 Nexenta Systems, Inc. All rights reserved.
  * Copyright (c) 2013, 2017 by Delphix. All rights reserved.
  * Copyright 2014, OmniTI Computer Consulting, Inc. All rights reserved.
@@ -4334,11 +4334,11 @@
 		}
 		return (-TOUTSTATE);
 	} else {
-		if (sa == NULL) {
-			sin6_t	addr;
-			sin_t *sin;
-			sin6_t *sin6;
+		sin6_t	addr;
+		sin_t *sin;
+		sin6_t *sin6;
 
+		if (sa == NULL) {
 			ASSERT(IPCL_IS_NONSTR(connp));
 			/* Do an implicit bind: Request for a generic port. */
 			if (connp->conn_family == AF_INET) {
